> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/v3/accounts/get-account-states",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get Account States

> Query account states



## OpenAPI

````yaml get /api/v3/accountStates
openapi: 3.0.0
info:
  title: TON Index (Go)
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  version: 1.2.4-rc
  contact: {}
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com
security: []
paths:
  /api/v3/accountStates:
    get:
      tags:
        - Accounts
      summary: Get Account States
      description: Query account states
      operationId: api_v3_get_account_states
      parameters:
        - name: address
          in: query
          description: List of addresses in any form. Maximum 1000 addresses allowed.
          required: true
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: include_boc
          in: query
          description: 'Include code and data BOCs. Default: true'
          schema:
            type: boolean
            default: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountStatesResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    AccountStatesResponse:
      type: object
      properties:
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/AccountStateFull'
        address_book:
          $ref: '#/components/schemas/AddressBook'
        metadata:
          $ref: '#/components/schemas/Metadata'
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string
    AccountStateFull:
      type: object
      properties:
        account_state_hash:
          type: string
        address:
          type: string
        balance:
          type: string
        code_boc:
          type: string
        code_hash:
          type: string
        contract_methods:
          type: array
          items:
            type: integer
        data_boc:
          type: string
        data_hash:
          type: string
        extra_currencies:
          type: object
          additionalProperties:
            type: string
        frozen_hash:
          type: string
        interfaces:
          type: array
          items:
            type: string
        last_transaction_hash:
          type: string
        last_transaction_lt:
          type: string
          example: '0'
        status:
          type: string
    AddressBook:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressBookRow'
    Metadata:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressMetadata'
    AddressBookRow:
      type: object
      properties:
        domain:
          type: string
        interfaces:
          type: array
          items:
            type: string
        user_friendly:
          type: string
    AddressMetadata:
      type: object
      properties:
        is_indexed:
          type: boolean
        token_info:
          type: array
          items:
            $ref: '#/components/schemas/TokenInfo'
    TokenInfo:
      type: object
      properties:
        description:
          type: string
        extra:
          type: object
          additionalProperties: true
        image:
          type: string
        name:
          type: string
        nft_index:
          type: string
        symbol:
          type: string
        type:
          type: string
        valid:
          type: boolean

````